For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inBook a demo
HomeGuidesAPI ReferenceGlossary
HomeGuidesAPI ReferenceGlossary
  • API Reference
      • GETSearch entities
      • POSTCreate entity
      • GETGet entity
      • POSTUpdate entity
      • DELDelete entity
      • POSTAccept Terms of Service
      • POSTInitiate KYB
      • POSTGenerate JWT Token
      • GETGenerate Onboarding Link
      • POSTSend Onboarding Email
      • GETEvents
        • GETGet Documents
        • POSTUpload Document
        • DELDelete Document
Logo
Sign inBook a demo
API ReferenceEntityDocument

Get Documents

GET
https://api.mercoa.com/entity/:entityId/documents
GET
/entity/:entityId/documents
$curl https://api.mercoa.com/entity/ent_26e7b5d3-a739-4b23-9ad9-6aaa085f47a9/documents \
> -H "Authorization: Bearer <token>"
1[
2 {
3 "mimeType": "application/pdf",
4 "type": "TEN_NINETY_NINE",
5 "uri": "https://mercoa.com/pdf/not-real.pdf",
6 "id": "doc_37e6af0a-e637-48fd-b825-d6947b38c4e2"
7 }
8]

Get documents (1099/W9) associated with this entity

Was this page helpful?
Previous

Upload Document

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

entityIdstringRequired

Query parameters

typeenumOptional
Filter by document type

Response

This endpoint returns a list of objects.
mimeTypestring
typeenum
uristring
idstring
ID of the document. If not provided, this is a dynamic document that is generated on the fly.

Errors

400
Bad Request
401
Unauthorized
403
Forbidden
404
Not Found
409
Conflict
500
Internal Server Error
501
Unimplemented